# xxfi_unknown

SYNOPSIS

    #include <libmilter/mfapi.h>
    sfsistat (*xxfi_unknown)(
    	SMFICTX *ctx,
    	const char *arg
    );

Handle unknown and unimplemented SMTP commands.

DESCRIPTION

Called When | xxfi_unknown is called when the client uses an SMTP command that is either unknown or not implemented by the MTA.
Default Behavior | Do nothing; return SMFIS_CONTINUE.

ARGUMENTS

Argument | Description
--- | ---
ctx | Opaque context structure.
arg | SMTP command including all arguments.

SPECIAL RETURN VALUES

Return value | Description
--- | ---
SMFIS_TEMPFAIL | Reject this command with a temporary error.
SMFIS_REJECT | Reject this command.

NOTES | The SMTP command will always be rejected by the server, it is only possible to return a different error code.

Copyright (c) 2006 Sendmail, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.